Loading...
Searching...
No Matches
Ogre::LodCollapseCostOutside Class Reference

`#include <OgreLodCollapseCostOutside.h>`

Inheritance diagram for Ogre::LodCollapseCostOutside:
[legend]

## Public Member Functions

| LodCollapseCostOutside (LodCollapseCostPtr costCalculator, Real outsideWeight, Real outsideWalkAngle)
| ~LodCollapseCostOutside ()
Real | computeEdgeCollapseCost (LodData *data, LodData::Vertex *src, LodData::Edge *dstEdge) override
| Returns the collapse cost of the given edge.
void | initCollapseCosts (LodData *data) override
| This is called after the LodInputProvider has initialized LodData.
Public Member Functions inherited from Ogre::LodCollapseCost
| LodCollapseCost ()
virtual | ~LodCollapseCost ()
virtual void | computeVertexCollapseCost (LodData *data, LodData::Vertex *vertex, Real &collapseCost, LodData::Vertex *&collapseTo)
| Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated.
virtual void | initVertexCollapseCost (LodData *data, LodData::Vertex *vertex)
| Called from initCollapseCosts for every edge.
void | setPreventBreakingLines (bool prevent)
| Set true to prevent collapsing edges that would result in the destruction of a line.
void | setPreventPunchingHoles (bool prevent)
| Set true to prevent collapsing edges that would result in the destruction of a triangle.
virtual void | updateVertexCollapseCost (LodData *data, LodData::Vertex *vertex)
| Called when edge cost gets invalid.

## Constructor & Destructor Documentation

## LodCollapseCostOutside()

Ogre::LodCollapseCostOutside::LodCollapseCostOutside | ( | LodCollapseCostPtr | costCalculator,
|  | Real | outsideWeight,
|  | Real | outsideWalkAngle )

## ~LodCollapseCostOutside()

Ogre::LodCollapseCostOutside::~LodCollapseCostOutside | ( |  | ) |

## Member Function Documentation

## initCollapseCosts()

void Ogre::LodCollapseCostOutside::initCollapseCosts | ( | LodData * | data | ) |

override virtual

This is called after the LodInputProvider has initialized LodData.

Reimplemented from Ogre::LodCollapseCost.

## computeEdgeCollapseCost()

Real Ogre::LodCollapseCostOutside::computeEdgeCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | src,
|  | LodData::Edge * | dstEdge )

override virtual

Returns the collapse cost of the given edge.

Implements Ogre::LodCollapseCost.

The documentation for this class was generated from the following file:

- OgreLodCollapseCostOutside.h